<?xml version="1.0"?>

<!--DOCTYPE mapping PUBLIC "-//EXOLAB/Castor Object Mapping DTD Version 1.0//EN"
                         "http://Castor.exolab.org/mapping.dtd"-->

<mapping>
  
  <class name="yi.graph.polygon.GenericPolygon">

    <map-to xml="polygon"/>

    <field name="area" type="double">
      <bind-xml node="attribute"/>
    </field>

    <field name="holes" type="boolean" collection="array" direct="true">
      <bind-xml name="hole-flag"/>
    </field>
    
    <field name="contours" type="yi.graph.polygon.GenericContour" collection="array" direct="true">
      <bind-xml name="contour"/>
    </field>

  </class>

  <class name="yi.graph.polygon.GenericContour">

    <map-to xml="contour"/>

    <field name="x" type="double" collection="array" direct="true">
    </field>
    
    <field name="y" type="double" collection="array" direct="true">
    </field>

  </class>

</mapping>

